## Tcl8.6.2/Tk8.6.2 Documentation > Tcl C API, version 8.6.2 > Backslash

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_Backslash — parse a backslash sequence

### SYNOPSIS

#include <tcl.h>
char
Tcl_Backslash(src, countPtr)

### ARGUMENTS

char *src (in)
  Pointer to a string starting with a backslash.

int *countPtr (out)
  If countPtr is not NULL, *countPtr gets filled in with number of characters in the backslash sequence, including the backslash character.

### DESCRIPTION

The use of Tcl_Backslash is deprecated in favor of Tcl_UtfBackslash.

This is a utility procedure provided for backwards compatibility with non-internationalized Tcl extensions. It parses a backslash sequence and returns the low byte of the Unicode character corresponding to the sequence. Tcl_Backslash modifies *countPtr to contain the number of characters in the backslash sequence.

See the Tcl manual entry for information on the valid backslash sequences. All of the sequences described in the Tcl manual entry are supported by Tcl_Backslash.

### SEE ALSO

Tcl, Tcl_UtfBackslash

### KEYWORDS

backslash, parse
Copyright © 1989-1993 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.